package com.bsoft.api.service.Impl;

import com.bsoft.api.common.utils.TokenUtil;
import com.bsoft.api.model.SysUser;
import com.bsoft.api.service.LoginService;
import com.bsoft.api.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class LoginServiceImpl implements LoginService {

    @Autowired
    private UserService userServiceImpl;
    @Override
    public LoginInfo login(String logName, String password) {

        LoginInfo loginInfo = new LoginInfo();

        SysUser user = userServiceImpl.findByLoginName(logName);
        if(user != null && user.getPassword().equals(password)){
            String token = TokenUtil.getToken(password, user);
            user.setPassword(null);
            loginInfo.setToken(token);
            loginInfo.setUser(user);
        }
        return loginInfo;
    }

    public String refreshToken(String oldToken){
        return TokenUtil.refresh(oldToken);
    }
}
